Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class BloomFilter

    java.lang.Object
      rice.p2p.glacier.v2.BloomFilter

All Implemented Interfaces:
  java.io.Serializable

public class BloomFilter
extends java.lang.Object
implements java.io.Serializable

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Constructor Summary
`BloomFilter(int length, int[] hashParams)` Constructor for BloomFilter.
`BloomFilter(int length, int numHashes, RandomSource rand)` Constructor for BloomFilter.

Method Summary
`void` | `add(byte[] data)` DESCRIBE THE METHOD
`boolean` | `contains(byte[] data)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BloomFilter

    public BloomFilter(int length,
                       int[] hashParams)

  Constructor for BloomFilter.

Parameters:
  `length` - DESCRIBE THE PARAMETER
  `hashParams` - DESCRIBE THE PARAMETER

### BloomFilter

    public BloomFilter(int length,
                       int numHashes,
                       RandomSource rand)

  Constructor for BloomFilter.

Parameters:
  `length` - DESCRIBE THE PARAMETER
  `numHashes` - DESCRIBE THE PARAMETER
  `rand` - DESCRIBE THE PARAMETER

Method Detail

### add

    public void add(byte[] data)

  DESCRIBE THE METHOD

  Parameters:
    `data` - DESCRIBE THE PARAMETER

### contains

    public boolean contains(byte[] data)

  DESCRIBE THE METHOD

  Parameters:
    `data` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.